Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.knowledge_bases.chunks.list(
knowledge_base_id="knowledge_base_id",
)
page = page.chunks[0]
print(page.chunk_id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.KnowledgeBases.Chunks.List(
context.TODO(),
"knowledge_base_id",
sgp.KnowledgeBaseChunkListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}/chunks \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.egp.scale.com/v4/knowledge-bases/{knowledge_base_id}/chunks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"chunks": [
{
"chunk_id": "<string>",
"text": "<string>",
"embedding": [
123
],
"metadata": {},
"user_supplied_metadata": {},
"attachment_url": "<string>",
"title": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Knowledge Bases
Get Chunks
Description
Get chunks from a knowledge base using chunk IDs or a matching metadata field. This API will query from the Vector Database using the passed in filters and optionally can return the embeddings.
Details
This API can be used to get a list of chunks from a knowledge base. Given a chunk id, a metadata field and value, or both, matching chunks are searched for in the knowledge base given by knowledge base id.
GET
/
v4
/
knowledge-bases
/
{knowledge_base_id}
/
chunks
Python
import os
from scale_gp import SGPClient
client = SGPClient(
api_key=os.environ.get("SGP_API_KEY"), # This is the default and can be omitted
)
page = client.knowledge_bases.chunks.list(
knowledge_base_id="knowledge_base_id",
)
page = page.chunks[0]
print(page.chunk_id)package main
import (
"context"
"fmt"
"github.com/stainless-sdks/sgp-go"
"github.com/stainless-sdks/sgp-go/option"
)
func main() {
client := sgp.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.KnowledgeBases.Chunks.List(
context.TODO(),
"knowledge_base_id",
sgp.KnowledgeBaseChunkListParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
Headers
Path Parameters
Query Parameters
Optional search by chunk_id
Optional search by metadata fields, encoded as a JSON object
Maximum number of chunks returned by the get_chunks endpoint. Defaults to 10 and cannot be greater than 2000.
Required range:
1 <= x <= 2000Response
Successful Response
List of chunks that match the chunk_id and metadata filters
Show child attributes
Show child attributes

